/***
 * Warthog Robotics
 * University of Sao Paulo (USP) at Sao Carlos
 * http://www.warthog.sc.usp.br/
 *
 * This file is part of WRJoy project.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***/

// Prevents multiple definitions
#ifndef WRJOY
#define WRJOY


// Includes WRJoy namespace
#include <WRJoy/namespace.hh>

// Includes WRJoy modules
#include <WRJoy/joystick.hh>
#include <WRJoy/JoystickGUI/joystickgui.hh>
#include <WRJoy/JoystickGUI/basicsettings.hh>
#include <WRJoy/JoystickGUI/buttonssettings.hh>
#include <WRJoy/JoystickGUI/monitor.hh>
#include <WRJoy/JoystickGUI/advancedsettings.hh>
#include <WRJoy/JoystickGUI/playersettings.hh>
#include <WRJoy/joystickmanager.hh>
#include <WRJoy/JoystickManagerGUI/joystickmanagergui.hh>


#endif
